Last edit: @jtahirov in (via web) 2 years ago - Slack Archive

To fix Norminette, try the following solution that has been known to work:

Add the following line to your `~/.zshrc` which is located in your home folder (create it with vim or nano if it does not exist: `vim ~/.zshrc`):
`export PATH="$HOME/.gem/ruby/2.5.0/bin:$PATH"`

Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

History

Revision: 2773 by @jtahirov in (via web) 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:

Add the following line to your `~/.zshrc` which is located in your home folder (create it with vim or nano if it does not exist: `vim ~/.zshrc`):
`export PATH="$HOME/.gem/ruby/2.5.0/bin:$PATH"`

Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)
To fix Norminette, try the following solution that has been known to work:

Add the following line to your `~/.zshrc` which is located in your home folder (create it with vim or nano if it does not exist: `vim ~/.zshrc`):
`export PATH="$HOME/.gem/ruby/2.5.0/bin:$PATH"`

Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

Revision: 2513 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:

Add the following line to your `~/.zshrc` which is located in your home folder (create it with vim or nano if it does not exist: `vim ~/.zshrc`):
`export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"`

Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

Revision: 2512 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:
Add the following line to your `~/.zshrc` which is located in your home folder (create it with vim or nano if it does not exist: `vim ~/.zshrc`):
`export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"`
Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

Revision: 2511 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:
Add `export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"` to your `.zshrc` which is in your home  (create it with vim or nano)
Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

Revision: 2401 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:
Add `export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"` to your zshrc
Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error / fix missing ruby, change your ruby version: `xcode-select --install` (then see above instructions)

Revision: 2400 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:
Add `export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"` to your zshrc
Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error, change your ruby version: `xcode-select --install`

Revision: 2399 by @jkrause in #[IM @jkrause] 2 years agoSlack Archive

To fix Norminette, try the following solution that has been known to work:
Add `export PATH="$HOME/.gem/ruby/2.0.0/bin:$PATH"` to your zshrc
Then install `gem install --user-install --pre norminette`.  Make sure you do `source ~/.zshrc` after installing to make sure it uses the Norminette installed in your ruby path.

Older solutions:
To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix SecureRandom error, change your ruby version: `xcode-select --install`, add `~/.gem/ruby/2.0.0/bin` to PATH, and the next line

Revision: 1818 by @kyork in #general-old 2 years agoSlack Archive

{alias}norm

Revision: 1106 by @kyork in #april_piscine_16 2 years agoSlack Archive

To fix the json bundle error: `gem install --user-install json -v 1.8.3`

Revision: 1019 by @kyork in #marvin-dev 2 years agoSlack Archive

To fix the json bundle error: `gem install --user-install json -v 1.8.3`
To fix the SecureRandom error: no known solution yet

Revision: 67 by @kyork in #cadets-old 2 years agoSlack Archive

To fix the json bundle error: `gem install --user-install json -v 1.8.3`